AuthThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats.AvailabilityGenerally available since 8.11This functionality is generally available and ready for production usage.Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments.This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.
Get the data stream lifecycle configuration of one or more data streams.
If defined, every document added to this data stream will be stored at least for this time frame.
Any time after this duration the document could be deleted.
When empty, every document in this data stream will be stored indefinitely.
Values:-10
effective_retentionuniononeOf
The least amount of time data should be kept by elasticsearch.
Values:-10
retention_determined_byenum
Configuration source that can influence the retention of a data stream.
The list of downsampling rounds to execute as part of this downsampling configuration
afteruniononeOfrequired
The duration since rollover when this downsampling round should execute
Values:-10
configobjectrequired
The downsample configuration to execute.
fixed_intervalstringrequired
The interval at which to aggregate the original time series index.
enabledboolean · default: true
If defined, it turns data stream lifecycle on/off (true/false) for this data stream. A data stream lifecycle
that's disabled (enabled: false) will have no effect on the data stream.
rolloverobject
The conditions which will trigger the rollover of a backing index as configured by the cluster setting cluster.lifecycle.default.rollover.
This property is an implementation detail and it will only be retrieved when the query param include_defaults is set to true.
The contents of this field are subject to change.